/* eslint-disable import/no-extraneous-dependencies */
import React from 'react';
import {
  Title,
  Description,
  Primary,
  PRIMARY_STORY,
  ArgsTable,
} from '@storybook/addon-docs/blocks';
import TemplateOne from '.';

export default {
  title: 'Theme/Modules/Spotlight/Image Text/Template Two',
  component: TemplateOne,
  argTypes: {
    buttonType: {
      name: 'buttonType',
      defaultValue: 'secondary',
      options: ['primary', 'secondary', 'tertiary'],
      control: { type: 'radio' },
    },
    buttonSize: {
      name: 'buttonType',
      defaultValue: 'm',
      options: ['xs', 's', 'm', 'l', 'xl', 'noSize'],
      control: { type: 'radio' },
    },
  },
  parameters: {
    docs: {
      description: {
        component: 'A component that shows a list of pros and cons and corresponding icons.',
      },
      page: () => (
        <>
          <Title />
          <Description />
          <Primary />
          <ArgsTable story={PRIMARY_STORY} />
        </>
      ),
    },
  },
};

const Template = (args) => <TemplateOne {...args} />;

export const Default = Template.bind({});
Default.args = {
  module: {
    mode: 'image_text',
    read_more_text: '',
    show_read_more: '1',
    items: [
      {
        image: `1702045256/xl.png`,
        label: `Javier A. Pernia`,
        link: {
          title: null,
          type: 'internal',
          value: `/rizk`,
        },
        link_text: 'Read Review',
        subtitle: 'Senior Content Writer',
        text: `<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Ullamcorper orci a, nec lacus, viverra. Fusce pellentesque eget vitae, ac nibh sem in neque sagittis. Dapibus ornare egestas sagittis massa arcu est arcu fermentum.</p>`,
      },
      {
        image: `1702045256/xl.png`,
        label: `Javier A. Pernia`,
        subtitle: 'Senior Content Writer',
        link: {
          title: null,
          type: 'internal',
          value: `/rizk`,
        },
        link_text: 'Read Review',
        text: `<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Ullamcorper orci a, nec lacus, viverra. Fusce pellentesque eget vitae, ac nibh sem in neque sagittis. Dapibus ornare egestas sagittis massa arcu est arcu fermentum.</p>`,
      },
      {
        image: `1702045256/xl.png`,
        subtitle: 'Senior Content Writer',
        label: `Javier A. Pernia`,
        link: {
          title: null,
          type: 'internal',
          value: `/rizk`,
        },
        link_text: 'Read Review',
        text: `<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Ullamcorper orci a, nec lacus, viverra. Fusce pellentesque eget vitae, ac nibh sem in neque sagittis. Dapibus ornare egestas sagittis massa arcu est arcu fermentum.</p>`,
      },
    ],
  },
  scrollableContent: false,
};
